html, body {
  margin: 0;
  padding: 0;
}

body {
  margin-inline: 1em;
  margin-bottom: 2em;
}

h1, h2, h3 {
  text-align: center;
}

h3 {
  font-weight: normal;
  margin-top: 2em;
}

.input, .footer, .logos {
  margin-top: 3em;
  margin-inline: auto;
  width: fit-content;
}

.input, .input > span, label, .footer, .footer .flex, .logos, .logos span {
  display: flex;
  flex-wrap: wrap;
  column-gap: 4em;
  row-gap: 3em;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.input, .input > span {
  column-gap: 3em;
}

.join {
    display: inline-block;
}

label {
  column-gap: .5em;
}

input[type=range] {
  touch-action: none;
}

.canvas {
  margin-inline: -1em;
  overflow-x: auto;
  padding-bottom: 16px;
  text-align: center;
}

canvas {
  background-color: yellow;
  cursor: pointer;
}

.drag {
  background-color: green;
}